from gym.envs.registration import register

register(
    id='MBRLCartpole-v0',
    entry_point='env.cartpole:CartpoleEnv'
)

register(
    id='MBRLPusher-v0',
    entry_point='env.pusher:PusherEnv'
)

register(
    id='MBRLReacher3D-v0',
    entry_point='env.reacher:Reacher3DEnv',
)

register(
    id='MBRLHalfCheetah-v0',
    entry_point='env.half_cheetah:HalfCheetahEnv'
)

register(
    id='MBRLHopper-v0',
    entry_point='env.hopper:HopperEnv',
    max_episode_steps=1000,
)

register(
    id='MBRLAnt-v0',
    entry_point='env.ant:AntEnv',
    max_episode_steps=1000,
)

register(
    id='MBRLWalker2d-v0',
    entry_point='env.walker:Walker2dEnv',
    max_episode_steps=1000,
)
